<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4256
Name: Allergie/Unverträglichkeit Concern Act
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4256-2017-06-04T000000">
   <title>Allergie/Unverträglichkeit Concern Act</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]
Item: (Allergyconcernact)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]"
         id="d20e2342-false-d5935e0">
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="string(@classCode) = ('ACT')">(Allergyconcernact): Der Wert von classCode MUSS 'ACT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="string(@moodCode) = ('EVN')">(Allergyconcernact): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4256']) &gt;= 1">(Allergyconcernact): Element hl7:templateId[@root = '1.2.276.0.76.10.4256'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4256']) &lt;= 1">(Allergyconcernact): Element hl7:templateId[@root = '1.2.276.0.76.10.4256'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(Allergyconcernact): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &gt;= 1">(Allergyconcernact): Element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &lt;= 1">(Allergyconcernact): Element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:statusCode) &gt;= 1">(Allergyconcernact): Element hl7:statusCode ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:statusCode) &lt;= 1">(Allergyconcernact): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(Allergyconcernact): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(Allergyconcernact): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4257']]]) &gt;= 1">(Allergyconcernact): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4257']]] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:templateId[@root = '1.2.276.0.76.10.4256']
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:templateId[@root = '1.2.276.0.76.10.4256']"
         id="d20e2348-false-d6017e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyconcernact): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="string(@root) = ('1.2.276.0.76.10.4256')">(Allergyconcernact): Der Wert von root MUSS '1.2.276.0.76.10.4256' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:id[not(@nullFlavor)]
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:id[not(@nullFlavor)]"
         id="d20e2353-false-d6031e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyconcernact): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]"
         id="d20e2355-false-d6042e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyconcernact): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(Allergyconcernact): Der Elementinhalt MUSS einer von 'code 'CONC' codeSystem '2.16.840.1.113883.5.6'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:statusCode
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:statusCode"
         id="d20e2361-false-d6058e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyconcernact): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d20e2363-false-d6068e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyconcernact): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:low[not(@nullFlavor)]) &gt;= 1">(Allergyconcernact): Element hl7:low[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:low[not(@nullFlavor)]) &lt;= 1">(Allergyconcernact): Element hl7:low[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:high) &lt;= 1">(Allergyconcernact): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low[not(@nullFlavor)]
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low[not(@nullFlavor)]"
         id="d20e2365-false-d6093e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyconcernact): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="not(*)">(Allergyconcernact): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high"
         id="d20e2367-false-d6106e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyconcernact): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="not(*)">(Allergyconcernact): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4257']]]
Item: (Allergyconcernact)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4256']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4257']]]">
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="string(@typeCode) = ('SUBJ')">(Allergyconcernact): Der Wert von typeCode MUSS 'SUBJ' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
