<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4291
Name: Alkoholgebrauch
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4291-2018-09-13T135558">
   <title>Alkoholgebrauch</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4291
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]
Item: (Alkoholgebrauch)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4291
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]
Item: (Alkoholgebrauch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]"
         id="d20e2964-false-d7777e0">
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="string(@classCode) = ('OBS')">(Alkoholgebrauch): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="string(@moodCode) = ('EVN')">(Alkoholgebrauch): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4291']) &gt;= 1">(Alkoholgebrauch): Element hl7:templateId[@root = '1.2.276.0.76.10.4291'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4291']) &lt;= 1">(Alkoholgebrauch): Element hl7:templateId[@root = '1.2.276.0.76.10.4291'] kommt zu häufig vor [max 1x].</assert>
      <report role="warning"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="count(hl7:code[(@code = '74013-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt; 1">(Alkoholgebrauch): Element hl7:code ist codiert mit Bindungsstärke 'preferred' und enthält ein Code außerhalb des angegebene Wertraums.</report>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="count(hl7:code[(@code = '74013-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Alkoholgebrauch): Element hl7:code[(@code = '74013-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Alkoholgebrauch): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Alkoholgebrauch): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Alkoholgebrauch): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Alkoholgebrauch): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &gt;= 1">(Alkoholgebrauch): Element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(Alkoholgebrauch): Element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4291
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]/hl7:templateId[@root = '1.2.276.0.76.10.4291']
Item: (Alkoholgebrauch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]/hl7:templateId[@root = '1.2.276.0.76.10.4291']"
         id="d20e2970-false-d7841e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alkoholgebrauch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="string(@root) = ('1.2.276.0.76.10.4291')">(Alkoholgebrauch): Der Wert von root MUSS '1.2.276.0.76.10.4291' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4291
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]/hl7:id
Item: (Alkoholgebrauch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]/hl7:id"
         id="d20e2975-false-d7855e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alkoholgebrauch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4291
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]/hl7:code[(@code = '74013-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Alkoholgebrauch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]/hl7:code[(@code = '74013-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d20e2977-false-d7866e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alkoholgebrauch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="@nullFlavor or (@code='74013-4' and @codeSystem='2.16.840.1.113883.6.1')">(Alkoholgebrauch): Der Elementinhalt MUSS einer von 'code '74013-4' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4291
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]/hl7:code[(@code = '74013-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]/hl7:translation
Item: (Alkoholgebrauch)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4291
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]/hl7:statusCode[@code = 'completed']
Item: (Alkoholgebrauch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]/hl7:statusCode[@code = 'completed']"
         id="d20e2985-false-d7894e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alkoholgebrauch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="@nullFlavor or (@code='completed')">(Alkoholgebrauch): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4291
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]/hl7:effectiveTime
Item: (Alkoholgebrauch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]/hl7:effectiveTime"
         id="d20e2990-false-d7910e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alkoholgebrauch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4291
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (Alkoholgebrauch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4291']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d20e2992-false-d7920e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Alkoholgebrauch): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Alkoholgebrauch): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3')">(Alkoholgebrauch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/medmgmt/medmgmt-html-20190911T114414/tmp-1.2.276.0.76.10.4291-2018-09-13T135558.html"
              test="string(@unit) = ('/d')">(Alkoholgebrauch): Der Wert von unit MUSS '/d' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
</pattern>
